classification
Title: PEP 453: venv module and pyvenv integration
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: 19406 Superseder:
Assigned To: ncoghlan Nosy List: dstufft, larry, ncoghlan, ned.deily, python-dev, vinay.sajip
Priority: release blocker Keywords: patch

Created on 2013-11-11 10:46 by ncoghlan, last changed 2014-03-09 22:50 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue19552_venv_module_api.diff ncoghlan, 2013-11-22 14:15 Module portion of the API, CLI changes still to come review
Messages (6)
msg202612 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-11-11 10:46
Part of the PEP 453 implementation as tracked in issue 19347.

This issue covers the venv module and pyvenv CLI updates:

* Add a "with_pip=False" parameter to venv.EnvBuilder and venv.create

* When with_pip is a true value, invoke ensurepip.bootstrap with the root set to the just created venv and default_pip set to True

* update pyvenv to pass with_pip=True by default

* add a --without-pip option to pyvenv to pass with_pip=False instead
msg203759 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-11-22 14:15
Since ensurepip needs to manipulate sys.path, I ended up running the "-m ensurepip" using the venv Python in a subprocess. This both avoids side effects on the current process and gets ensurepip the right target directory settings automatically.
msg203760 - (view) Author: Donald Stufft (dstufft) * (Python committer) Date: 2013-11-22 14:16
That's similar to how virtualenv does it, so it's probably pretty reasonable.
msg203769 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-22 14:34
New changeset 57fbab22ab4e by Nick Coghlan in branch 'default':
Close #19552: venv and pyvenv ensurepip integration
http://hg.python.org/cpython/rev/57fbab22ab4e
msg203780 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-11-22 15:11
Rather than reopening this (which is part of tracking the feature integration for the beta), I opened issue 19694 to cover the stable buildbot that is objecting to the new venv test (most of the others seem happy with it)
msg212997 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-09 22:50
New changeset a140caad76bc by R David Murray in branch 'default':
whatsnew: venv with_pip, pyvenv --without-pip (#19552)
http://hg.python.org/cpython/rev/a140caad76bc
History
Date User Action Args
2014-03-09 22:50:25python-devsetmessages: + msg212997
2013-11-22 15:11:42ncoghlansetmessages: + msg203780
2013-11-22 14:34:27python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg203769

resolution: fixed
stage: needs patch -> resolved
2013-11-22 14:16:49dstufftsetmessages: + msg203760
2013-11-22 14:15:41ncoghlansetfiles: + issue19552_venv_module_api.diff

nosy: + vinay.sajip, ned.deily, dstufft
messages: + msg203759

keywords: + patch
2013-11-15 11:52:57ncoghlansetassignee: ncoghlan
2013-11-11 12:26:35ncoghlansetcomponents: + Library (Lib)
2013-11-11 11:56:09ncoghlanlinkissue19347 dependencies
2013-11-11 10:46:11ncoghlansetdependencies: + PEP 453: add the ensurepip module
2013-11-11 10:46:02ncoghlancreate